<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'litecms',

    /*
     * Package.
     */
    'package'   => 'fund_transfer_setting',

    /*
     * Modules.
     */
    'modules'   => ['ft_setting'],

    
    'ft_setting'       => [
        'model' => [
            'model'                 => \Litecms\FundTransferSetting\Models\FtSetting::class,
            'table'                 => 'ft_settings',
            'presenter'             => \Litecms\FundTransferSetting\Repositories\Presenter\FtSettingPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['fund_transfer_status'],
            'translatables'         => [],
            'upload_folder'         => 'fund_transfer_setting/ft_setting',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Litecms',
            'package'   => 'FundTransferSetting',
            'module'    => 'FtSetting',
        ],

    ],
];
