<?php

namespace Litecms\FundTransferSetting;

use User;

class FundTransferSetting
{
    /**
     * $ft_setting object.
     */
    protected $ft_setting;

    /**
     * Constructor.
     */
    public function __construct(\Litecms\FundTransferSetting\Interfaces\FtSettingRepositoryInterface $ft_setting)
    {
        $this->ft_setting = $ft_setting;
    }

    /**
     * Returns count of fund_transfer_setting.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.ft_setting.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->ft_setting->pushCriteria(new \Litepie\Litecms\Repositories\Criteria\FtSettingUserCriteria());
        }

        $ft_setting = $this->ft_setting->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('fund_transfer_setting::' . $view, compact('ft_setting'))->render();
    }
}
