<?php

namespace Litecms\FundTransferSetting\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class FtSettingTransformer extends TransformerAbstract
{
    public function transform(\Litecms\FundTransferSetting\Models\FtSetting $ft_setting)
    {
        return [
            'id'                => $ft_setting->getRouteKey(),
            'key'               => [
                'public'    => $ft_setting->getPublicKey(),
                'route'     => $ft_setting->getRouteKey(),
            ], 
            'fund_transfer_status' => $ft_setting->fund_transfer_status,
            'url'               => [
                'public'    => trans_url('fund_transfer_setting/'.$ft_setting->getPublicKey()),
                'user'      => guard_url('fund_transfer_setting/ft_setting/'.$ft_setting->getRouteKey()),
            ], 
            'status'            => trans('app.'.$ft_setting->status),
            'created_at'        => format_date($ft_setting->created_at),
            'updated_at'        => format_date($ft_setting->updated_at),
        ];
    }
}